Workflows
GET /v1/workflows — List local workflow definitions and executions managed by the workflow engine.
GET /v1/workflows
List local workflow definitions and executions managed by the workflow engine.
| Method | GET |
| Path | /v1/workflows |
| Auth | Authorization: Bearer <token> required when GATEWAY_AUTH_TOKEN is set |
| Category | state |
Response body
{ "definitions_count": 1, "executions_count": 2, "definitions": [{ "id": "wf_local_123", "name": "daily-brief", "backend": "local", "publish_state": "published", "publish_health": "up_to_date", "active": true, "has_unpublished_changes": false, "last_execution_at": "2026-04-23T00:00:00.000Z", "last_execution_status": "success", "next_run_at": "2026-04-24T00:00:00.000Z" }], "executions": [{ "id": "inst_123", "definition_id": "wf_local_123", "name": "daily-brief", "execution_mode": "production", "run_purpose": null, "is_dry_run": false, "status": "success", "waiting_reason": null, "cancel_reason": null, "error_reason": null, "iterations": 1, "current_step": null, "started_at": "2026-04-23T00:00:00.000Z", "ended_at": "2026-04-23T00:00:03.000Z" }] }